<?php
	
	$b = liefere_benutzerinformationen( $_SESSION[ "mandant_name" ], $_SESSION[ "benutzer_anmeldename" ] );
	
	if ( $b[ 2 ][ "benutzer_abwesend" ] == "ja" )
	{
		$html = "<center><h1>Sie sind aktuell abwesend gemeldet!</h1></center>";
		
		if ( $b[ 2 ][ "benutzer_vertreter_typ" ] == "b" )
		{
			$vertreter = liefere_benutzerinformationen( $_SESSION[ "mandant_name" ], $b[ 2 ][ "benutzer_vertreter" ] );
			$html = $html."<center><p>Ihr Vertreter ist der Benutzer ".$vertreter[ 2 ][ "benutzer_name_komplett" ].".<br />Sie können sich in Ihren Benutzereinstellungen anwesend melden.</p></center>";
		}
		else
		{
			$html = $html."<center>Ihr Vertreter ist die Gruppe ".$b[ 2 ][ "benutzer_vertreter" ].".</center><br />";
		}
		
		
	}
	else
	{
		$_SESSION[ "plugin_kein_output" ] = "ja";
	}
	
	$v = welche_benutzer_vertritt_benutzer( $_SESSION[ "mandant_name" ], $_SESSION[ "benutzer_anmeldename" ] );
	
	if ( $v[ 0 ] > 0 )
	{
		$html = $html."<center><h1>Folgende Benutzer haben Sie als Vertreter angegeben:</h1></center>";
		
		
		$html = $html."<center><table><tr><td><ul>";
		
		//xlog( 4, json_encode( $v ) );
		foreach ( $v[ 2 ] as $wird_vertreten )
		{
			
			$html = $html."<li>".$wird_vertreten[ "benutzer_vorname" ]." ".$wird_vertreten[ "benutzer_nachname" ]." (".$wird_vertreten[ "benutzer_anmeldename" ].") </li>";
		}
		
		$html = $html."</ul></td></tr></table></center>";
		
		$_SESSION[ "plugin_kein_output" ] = "";
	}
	//xlog( 5, "plugin_kein_output".$_SESSION[ "plugin_kein_output" ] );
	echo $html;
	$html = "";
?>